> ## Documentation Index
> Fetch the complete documentation index at: https://intunedhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Job

> Update a Job by ID.



## OpenAPI

````yaml put /{workspaceId}/projects/{projectName}/jobs/{jobId}
openapi: 3.1.0
info:
  title: Intuned Client
  version: 0.0.2
  description: Programmatically trigger automations, manage Jobs, and handle AuthSessions.
  termsOfService: https://intuned.ai/terms
  contact:
    email: founders@intunedhq.com
servers:
  - url: https://app.intuned.io/api/v1/workspace
    description: Base URL for Intuned API.
security:
  - api_key: []
tags:
  - name: projects.jobs
    description: Project Jobs API
  - name: projects.jobs.runs
    description: Project JobRuns API
  - name: projects.runs
    description: Run APIs
  - name: projects.authSessions
    description: Manage AuthSessions
  - name: projects.authSessions.validate
    description: Validate AuthSession
  - name: projects.authSessions.create
    description: Create AuthSession
  - name: projects.authSessions.update
    description: Update AuthSession
externalDocs:
  description: Find out more about Intuned
  url: https://intunedhq.com/docs/
paths:
  /{workspaceId}/projects/{projectName}/jobs/{jobId}:
    put:
      tags:
        - projects.jobs
      summary: Update Job
      description: Update a Job by ID.
      operationId: updateJob
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          description: >-
            Your workspace ID. [How to find
            it](/main/03-how-to/manage/manage-workspace#how-to-get-your-workspace-id)?
          example: 123e4567-e89b-12d3-a456-426614174000
          in: path
          name: workspaceId
          x-speakeasy-globals-hidden: true
        - schema:
            type: string
          required: true
          description: The name you assigned when creating the Project.
          example: my-project
          in: path
          name: projectName
        - schema:
            type: string
          required: true
          description: The ID you assigned when creating the Job.
          example: my-sample-job
          in: path
          name: jobId
      requestBody:
        description: Job update input schema
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                payload:
                  type: array
                  items:
                    type: object
                    properties:
                      parameters:
                        type: object
                        additionalProperties: true
                        description: The parameters to be passed to the API.
                        example:
                          param1: value1
                          param2: 42
                          param3: true
                      requestTimeout:
                        type: integer
                        default: 600
                        description: >-
                          Timeout for the API request in seconds. Default is 10
                          minutes (600 seconds).
                        example: 600
                      retry:
                        type: object
                        properties:
                          maximumAttempts:
                            type: integer
                            minimum: 1
                            default: 3
                            description: >-
                              Maximum number of attempts to retry the run in
                              case of failure
                            example: 3
                        description: Retry policy configurations in case of failure.
                        example:
                          maximumAttempts: 3
                      apiName:
                        type: string
                        description: >-
                          The name of the API to be executed. This is the file
                          path relative to the `api` folder inside your project.
                    required:
                      - parameters
                      - apiName
                  description: Array of API calls to be executed
                configuration:
                  type: object
                  properties:
                    retry:
                      type: object
                      properties:
                        maximumAttempts:
                          type: integer
                          minimum: 1
                          default: 3
                          description: >-
                            Maximum number of attempts to retry the run in case
                            of failure
                          example: 3
                      description: >-
                        The retry policy of the job. Configure how many retries
                        and the delay between them for each payload.
                      example:
                        maximumAttempts: 3
                    maxConcurrentRequests:
                      type: number
                      minimum: 1
                      maximum: 25
                      description: >-
                        The batch size of payloads to execute. This does not
                        guarantee that the payloads will be executed at the same
                        time.
                    requestTimeout:
                      type: integer
                      default: 600
                      description: >-
                        Timeout for the API request in seconds. Default is 10
                        minutes (600 seconds).
                      example: 600
                    proxy:
                      type: string
                      format: uri
                      description: Proxy URL for the job to use when making API calls
                      example: http://username:password@proxy.example.com:8080
                  description: Job configuration settings
                schedule:
                  type:
                    - object
                    - 'null'
                  properties:
                    jitter:
                      anyOf:
                        - type: integer
                          minimum: 0
                        - type: string
                          minLength: 1
                    intervals:
                      type: array
                      items:
                        type: object
                        properties:
                          every:
                            anyOf:
                              - type: integer
                                minimum: 0
                                description: number of milliseconds of interval
                              - type: string
                                minLength: 1
                                format: ms
                                description: >-
                                  interval string, [ms-formatted
                                  string](https://github.com/vercel/ms) string
                        required:
                          - every
                        description: >-
                          An interval object, which represents a period to
                          trigger the job. The interval is relative to the [Unix
                          epoch](https://en.wikipedia.org/wiki/Unix_time).
                      description: An array of interval objects
                    calendars:
                      type: array
                      items:
                        type: object
                        properties:
                          second:
                            anyOf:
                              - type: integer
                                minimum: 0
                                maximum: 59
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                  step:
                                    type: integer
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: integer
                                      minimum: 0
                                      maximum: 59
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                        step:
                                          type: integer
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: >-
                              Seconds of the calendar, a number in the range 0 -
                              59
                          minute:
                            anyOf:
                              - type: integer
                                minimum: 0
                                maximum: 59
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                  step:
                                    type: integer
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 59
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: integer
                                      minimum: 0
                                      maximum: 59
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                        step:
                                          type: integer
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 59
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: >-
                              Minutes of the calendar, a number in the range 0 -
                              59
                          hour:
                            anyOf:
                              - type: integer
                                minimum: 0
                                maximum: 23
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 23
                                  step:
                                    type: integer
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 23
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 0
                                    maximum: 23
                                  end:
                                    type: integer
                                    minimum: 0
                                    maximum: 23
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: integer
                                      minimum: 0
                                      maximum: 23
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 23
                                        step:
                                          type: integer
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 23
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 0
                                          maximum: 23
                                        end:
                                          type: integer
                                          minimum: 0
                                          maximum: 23
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: >-
                              Hours of the calendar, a number in the range 0 -
                              23
                          dayOfWeek:
                            anyOf:
                              - type: string
                                enum:
                                  - SUNDAY
                                  - MONDAY
                                  - TUESDAY
                                  - WEDNESDAY
                                  - THURSDAY
                                  - FRIDAY
                                  - SATURDAY
                              - type: object
                                properties:
                                  start:
                                    type: string
                                    enum:
                                      - SUNDAY
                                      - MONDAY
                                      - TUESDAY
                                      - WEDNESDAY
                                      - THURSDAY
                                      - FRIDAY
                                      - SATURDAY
                                  step:
                                    type: integer
                                  end:
                                    type: string
                                    enum:
                                      - SUNDAY
                                      - MONDAY
                                      - TUESDAY
                                      - WEDNESDAY
                                      - THURSDAY
                                      - FRIDAY
                                      - SATURDAY
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: string
                                    enum:
                                      - SUNDAY
                                      - MONDAY
                                      - TUESDAY
                                      - WEDNESDAY
                                      - THURSDAY
                                      - FRIDAY
                                      - SATURDAY
                                  end:
                                    type: string
                                    enum:
                                      - SUNDAY
                                      - MONDAY
                                      - TUESDAY
                                      - WEDNESDAY
                                      - THURSDAY
                                      - FRIDAY
                                      - SATURDAY
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - SUNDAY
                                        - MONDAY
                                        - TUESDAY
                                        - WEDNESDAY
                                        - THURSDAY
                                        - FRIDAY
                                        - SATURDAY
                                    - type: object
                                      properties:
                                        start:
                                          type: string
                                          enum:
                                            - SUNDAY
                                            - MONDAY
                                            - TUESDAY
                                            - WEDNESDAY
                                            - THURSDAY
                                            - FRIDAY
                                            - SATURDAY
                                        step:
                                          type: integer
                                        end:
                                          type: string
                                          enum:
                                            - SUNDAY
                                            - MONDAY
                                            - TUESDAY
                                            - WEDNESDAY
                                            - THURSDAY
                                            - FRIDAY
                                            - SATURDAY
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: string
                                          enum:
                                            - SUNDAY
                                            - MONDAY
                                            - TUESDAY
                                            - WEDNESDAY
                                            - THURSDAY
                                            - FRIDAY
                                            - SATURDAY
                                        end:
                                          type: string
                                          enum:
                                            - SUNDAY
                                            - MONDAY
                                            - TUESDAY
                                            - WEDNESDAY
                                            - THURSDAY
                                            - FRIDAY
                                            - SATURDAY
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: >-
                              Days of week, one of SUNDAY, MONDAY, TUESDAY,
                              WEDNESDAY, THURSDAY, FRIDAY, SATURDAY
                          dayOfMonth:
                            anyOf:
                              - type: integer
                                minimum: 1
                                maximum: 31
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 1
                                    maximum: 31
                                  step:
                                    type: integer
                                  end:
                                    type: integer
                                    minimum: 1
                                    maximum: 31
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 1
                                    maximum: 31
                                  end:
                                    type: integer
                                    minimum: 1
                                    maximum: 31
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: integer
                                      minimum: 1
                                      maximum: 31
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 1
                                          maximum: 31
                                        step:
                                          type: integer
                                        end:
                                          type: integer
                                          minimum: 1
                                          maximum: 31
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 1
                                          maximum: 31
                                        end:
                                          type: integer
                                          minimum: 1
                                          maximum: 31
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: Days of the month, a number in the range 1 - 31
                          month:
                            anyOf:
                              - type: string
                                enum:
                                  - JANUARY
                                  - FEBRUARY
                                  - MARCH
                                  - APRIL
                                  - MAY
                                  - JUNE
                                  - JULY
                                  - AUGUST
                                  - SEPTEMBER
                                  - OCTOBER
                                  - NOVEMBER
                                  - DECEMBER
                              - type: object
                                properties:
                                  start:
                                    type: string
                                    enum:
                                      - JANUARY
                                      - FEBRUARY
                                      - MARCH
                                      - APRIL
                                      - MAY
                                      - JUNE
                                      - JULY
                                      - AUGUST
                                      - SEPTEMBER
                                      - OCTOBER
                                      - NOVEMBER
                                      - DECEMBER
                                  step:
                                    type: integer
                                  end:
                                    type: string
                                    enum:
                                      - JANUARY
                                      - FEBRUARY
                                      - MARCH
                                      - APRIL
                                      - MAY
                                      - JUNE
                                      - JULY
                                      - AUGUST
                                      - SEPTEMBER
                                      - OCTOBER
                                      - NOVEMBER
                                      - DECEMBER
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: string
                                    enum:
                                      - JANUARY
                                      - FEBRUARY
                                      - MARCH
                                      - APRIL
                                      - MAY
                                      - JUNE
                                      - JULY
                                      - AUGUST
                                      - SEPTEMBER
                                      - OCTOBER
                                      - NOVEMBER
                                      - DECEMBER
                                  end:
                                    type: string
                                    enum:
                                      - JANUARY
                                      - FEBRUARY
                                      - MARCH
                                      - APRIL
                                      - MAY
                                      - JUNE
                                      - JULY
                                      - AUGUST
                                      - SEPTEMBER
                                      - OCTOBER
                                      - NOVEMBER
                                      - DECEMBER
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - JANUARY
                                        - FEBRUARY
                                        - MARCH
                                        - APRIL
                                        - MAY
                                        - JUNE
                                        - JULY
                                        - AUGUST
                                        - SEPTEMBER
                                        - OCTOBER
                                        - NOVEMBER
                                        - DECEMBER
                                    - type: object
                                      properties:
                                        start:
                                          type: string
                                          enum:
                                            - JANUARY
                                            - FEBRUARY
                                            - MARCH
                                            - APRIL
                                            - MAY
                                            - JUNE
                                            - JULY
                                            - AUGUST
                                            - SEPTEMBER
                                            - OCTOBER
                                            - NOVEMBER
                                            - DECEMBER
                                        step:
                                          type: integer
                                        end:
                                          type: string
                                          enum:
                                            - JANUARY
                                            - FEBRUARY
                                            - MARCH
                                            - APRIL
                                            - MAY
                                            - JUNE
                                            - JULY
                                            - AUGUST
                                            - SEPTEMBER
                                            - OCTOBER
                                            - NOVEMBER
                                            - DECEMBER
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: string
                                          enum:
                                            - JANUARY
                                            - FEBRUARY
                                            - MARCH
                                            - APRIL
                                            - MAY
                                            - JUNE
                                            - JULY
                                            - AUGUST
                                            - SEPTEMBER
                                            - OCTOBER
                                            - NOVEMBER
                                            - DECEMBER
                                        end:
                                          type: string
                                          enum:
                                            - JANUARY
                                            - FEBRUARY
                                            - MARCH
                                            - APRIL
                                            - MAY
                                            - JUNE
                                            - JULY
                                            - AUGUST
                                            - SEPTEMBER
                                            - OCTOBER
                                            - NOVEMBER
                                            - DECEMBER
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: >-
                              Months, one of JANUARY, FEBRUARY, MARCH, APRIL,
                              MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER,
                              NOVEMBER, DECEMBER
                          year:
                            anyOf:
                              - type: integer
                                minimum: 1970
                                maximum: 9999
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 1970
                                    maximum: 9999
                                  step:
                                    type: integer
                                  end:
                                    type: integer
                                    minimum: 1970
                                    maximum: 9999
                                required:
                                  - start
                                  - step
                                  - end
                              - type: object
                                properties:
                                  start:
                                    type: integer
                                    minimum: 1970
                                    maximum: 9999
                                  end:
                                    type: integer
                                    minimum: 1970
                                    maximum: 9999
                                required:
                                  - start
                              - type: array
                                items:
                                  anyOf:
                                    - type: integer
                                      minimum: 1970
                                      maximum: 9999
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 1970
                                          maximum: 9999
                                        step:
                                          type: integer
                                        end:
                                          type: integer
                                          minimum: 1970
                                          maximum: 9999
                                      required:
                                        - start
                                        - step
                                        - end
                                    - type: object
                                      properties:
                                        start:
                                          type: integer
                                          minimum: 1970
                                          maximum: 9999
                                        end:
                                          type: integer
                                          minimum: 1970
                                          maximum: 9999
                                      required:
                                        - start
                              - type: string
                                enum:
                                  - '*'
                            description: 'Full year. For example: 2024'
                          comment:
                            type: string
                            description: >-
                              A comment to describe what the calendar is
                              supposed to represent
                        description: >-
                          A calendar object. It is similar to a cron string, but
                          more verbose.
                      description: An array of calendar objects
                  description: >-
                    Schedule configurations for the job. If set, the job will
                    periodically run according to this configuration. The
                    configurations are used to calculate the closest next run
                    time.
                sink:
                  anyOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - webhook
                        url:
                          type: string
                          description: The URL to which the webhook will send the data.
                          example: https://example.com/webhook
                        headers:
                          type: object
                          additionalProperties:
                            type: string
                          description: >-
                            Optional headers to be sent with the webhook
                            request.
                          example:
                            Content-Type: application/json
                            Authorization: Bearer token
                        skipOnFail:
                          type: boolean
                          default: false
                          description: >-
                            If true, the webhook will not be sent if the API
                            execution fails.
                        apisToSend:
                          type: array
                          items:
                            type: string
                          minItems: 1
                          description: >-
                            List of API names to be sent to the webhook. If not
                            provided, all APIs will be sent.
                          example:
                            - api1
                            - api2
                      required:
                        - type
                        - url
                      description: Configuration for the webhook sink.
                      title: Webhook Sink Configuration
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - s3
                        bucket:
                          type: string
                          description: >-
                            The name of the S3 bucket where the data will be
                            stored.
                          example: my-s3-bucket
                        accessKeyId:
                          type: string
                          description: The access key ID for the S3 bucket.
                          example: AKIAIOSFODNN7EXSSPLE
                        secretAccessKey:
                          type: string
                          description: The secret access key for the S3 bucket.
                          example: wJalrXUtnFFFI/K7MDENG/bPxRfiCYEXAMPLEKEY
                        region:
                          type: string
                          description: The region where the S3 bucket is located.
                          example: us-west-2
                        prefix:
                          type: string
                          description: >-
                            Optional prefix for the S3 objects. This can be used
                            to organize objects within the bucket.
                          example: my-prefix/
                        skipOnFail:
                          type: boolean
                          default: false
                          description: >-
                            If enabled, failed payload runs will ***not*** be
                            written to the bucket.
                        apisToSend:
                          type: array
                          items:
                            type: string
                          minItems: 1
                          description: >-
                            List of API names to be sent to the S3 bucket. If
                            not provided, all APIs will be sent.
                          example:
                            - api1
                            - api2
                        endpoint:
                          type: string
                          description: >-
                            Optional custom endpoint for the S3 bucket. This can
                            be used for S3-compatible services.
                          example: https://s3.custom-endpoint.com
                        forcePathStyle:
                          type: boolean
                          description: >-
                            If true, the S3 client will use path-style URLs
                            instead of virtual-hosted-style URLs. This is useful
                            for S3-compatible services that require path-style
                            access.
                          example: true
                      required:
                        - type
                        - bucket
                        - accessKeyId
                        - secretAccessKey
                        - region
                      description: Configuration for the S3 sink.
                      title: S3 Sink Configuration
                    - type: 'null'
                  description: >-
                    Optional sink configuration for the job. Can be a webhook or
                    S3 Compatible sink.
                proxy:
                  type:
                    - string
                    - 'null'
                  description: Proxy configuration for the job
                  example: http://username:password@proxy.example.com:8080
                auth_session:
                  type:
                    - object
                    - 'null'
                  properties:
                    id:
                      type: string
                    checkAttempts:
                      type: integer
                      default: 3
                      description: >-
                        Number of attempts to check the validity of the
                        AuthSession before recreating it.
                      example: 3
                    createAttempts:
                      type: integer
                      default: 3
                      description: >-
                        Number of attempts to create a new AuthSession if the
                        current one is invalid or expired.
                      example: 3
                  required:
                    - id
                notifications:
                  type:
                    - array
                    - 'null'
                  items:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - webhook
                          url:
                            type: string
                            description: The URL to which the webhook will send the data.
                            example: https://example.com/webhook
                          headers:
                            type: object
                            additionalProperties:
                              type: string
                            description: >-
                              Optional headers to be sent with the webhook
                              request.
                            example:
                              Content-Type: application/json
                              Authorization: Bearer token
                        required:
                          - type
                          - url
              required:
                - payload
                - configuration
              description: Input schema for updating an existing job
              title: Update Job Input Schema
            example:
              configuration:
                retry:
                  maximumAttempts: 3
              payload:
                - apiName: my-awesome-api
                  parameters:
                    param1: value1
                    param2: 42
                    param3: true
      responses:
        '200':
          description: Job updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the updated job.
                  message:
                    type: string
                    enum:
                      - updated job successfully
                required:
                  - id
                  - message
        '201':
          description: Job updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the updated job.
                  message:
                    type: string
                    enum:
                      - updated job successfully
                required:
                  - id
                  - message
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad-request
                    description: The request is invalid or malformed
                    externalDocs:
                      description: Find more info here
                      url: >-
                        https://intunedhq.com/docs/main/support/errors#bad-request
                  category:
                    type: string
                    enum:
                      - user
                    description: Errors caused by user actions or input
                    externalDocs:
                      description: Find more info here
                      url: https://intunedhq.com/docs/main/support/errors#user
                  message:
                    type: string
                  retirable:
                    type: boolean
                    enum:
                      - false
                  details: {}
                  correlationId:
                    type: string
                required:
                  - code
                  - category
                  - message
                  - retirable
                  - correlationId
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: The request requires user authentication
                    externalDocs:
                      description: Find more info here
                      url: >-
                        https://intunedhq.com/docs/main/support/errors#unauthorized
                  category:
                    type: string
                    enum:
                      - user
                    description: Errors caused by user actions or input
                    externalDocs:
                      description: Find more info here
                      url: https://intunedhq.com/docs/main/support/errors#user
                  message:
                    type: string
                  retirable:
                    type: boolean
                    enum:
                      - false
                  details: {}
                  correlationId:
                    type: string
                required:
                  - code
                  - category
                  - message
                  - retirable
                  - correlationId
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not-found
                    description: The requested resource was not found
                    externalDocs:
                      description: Find more info here
                      url: https://intunedhq.com/docs/main/support/errors#not-found
                  category:
                    type: string
                    enum:
                      - user
                    description: Errors caused by user actions or input
                    externalDocs:
                      description: Find more info here
                      url: https://intunedhq.com/docs/main/support/errors#user
                  message:
                    type: string
                  retirable:
                    type: boolean
                    enum:
                      - false
                  details: {}
                  correlationId:
                    type: string
                required:
                  - code
                  - category
                  - message
                  - retirable
                  - correlationId
      x-codeSamples:
        - lang: typescript
          label: updateJob
          source: |
            import { IntunedClient } from "@intuned/client";

            const client = new IntunedClient({
              workspaceId: "123e4567-e89b-12d3-a456-426614174000",
              apiKey: process.env["INTUNED_API_KEY"] ?? "",
            });

            async function run() {
              const result = await client.projects.jobs.update(
                "my-project",
                "my-sample-job",
                {
                  payload: [
                    {
                      parameters: {
                        "param1": "value1",
                        "param2": 42,
                        "param3": true
                      },
                      requestTimeout: 600,
                      retry: {
                        "maximumAttempts": 3
                      },
                      apiName: "value",
                    },
                  ],
                  configuration: {
                    retry: {
                      "maximumAttempts": 3
                    },
                    maxConcurrentRequests: 1,
                    requestTimeout: 600,
                    proxy: "http://username:password@proxy.example.com:8080",
                  },
                },
            );

              console.log(result);
            }

            run();
        - lang: python
          label: Python (SDK)
          source: |-
            from intuned_client import IntunedClient
            from intuned_client import models
            import os


            with IntunedClient(
                workspace_id="123e4567-e89b-12d3-a456-426614174000",
                api_key=os.getenv("INTUNED_API_KEY", ""),
            ) as client:

                res = client.projects.jobs.update(
                    project_name="my-project",
                    job_id="my-sample-job",
                    body=models.JobsUpdateRequestBody(
                            payload=[
                                {
                                    "parameters": {
                                        "param1": "value1",
                                        "param2": 42,
                                        "param3": True,
                                    },
                                    "apiName": "my-awesome-api",
                                    "requestTimeout": 600,
                                },
                            ],
                            configuration={
                                "retry": {
                                    "maximumAttempts": 3,
                                },
                                "maxConcurrentRequests": 1,
                            },
                            schedule={
                                "jitter": 1,
                                "intervals": [
                                    {
                                        "every": 1,
                                    },
                                ],
                            },
                            sink={
                                "type": "webhook",
                                "url": "https://example.com/webhook",
                                "headers": {
                                    "Content-Type": "application/json",
                                    "Authorization": "Bearer token",
                                },
                            },
                            proxy="http://username:password@proxy.example.com:8080",
                        ),
                )

                print(res)
components:
  securitySchemes:
    api_key:
      type: apiKey
      description: >-
        API Key used to authenticate your requests. [How to create
        one](/main/03-how-to/manage/manage-api-keys).
      in: header
      name: x-api-key

````